<?php

// Load Dolibase
include_once '../autoload.php';

// Load Dolibase AboutPage class
dolibase_include_once('/core/pages/about.php');

// Create About Page using Dolibase
$page = new AboutPage('About', '$user->admin', false);

$page->addTab('Security', 'securemydolibarr/admin/security.php?mainmenu=home');

$page->addTab('AccessControl', 'securemydolibarr/admin/access.php?mainmenu=home');

$page->addTab('Audit', 'securemydolibarr/admin/audit.php?mainmenu=home');

$page->addTab('Backup', 'securemydolibarr/admin/backup.php?mainmenu=home');

$page->addTab('About', 'securemydolibarr/admin/about.php?mainmenu=home', true);

$page->begin();

$page->printModuleInformations('securemydolibarr.png');

$page->end();
