<?php

global $langs, $conf;

$qb = new QueryBuilder();

$is_enabled = ($conf->cron->enabled && $qb->select('rowid')->from('cronjob')->where("methodename = 'dumpDatabase'")->where('status = 1')->count() > 0) ? true : false;

$usefontawesomeicons = compare_version(DOL_VERSION, '>=' ,'7.0.0');
$editicon = $usefontawesomeicons ? '<i class="fa fa-edit fa-fw paddingright"></i>' : '';
$databaseicon = $usefontawesomeicons ? '<i class="fa fa-database fa-fw paddingright"></i>' : '';

echo info_admin($langs->trans('BackupNotice'));

?>

<table class="noborder" width="100%">
	<tr>
		<td align="left"><?php echo $langs->trans('EnableAutoBackups'); ?></td>
		<td align="right">
			<?php if ($is_enabled) { ?>
				<a href="<?php echo $_SERVER['PHP_SELF'].'?action=disable'; ?>"><?php echo img_picto($langs->trans("Enabled"), 'switch_on'); ?></a>
			<?php } else { ?>
				<a href="<?php echo $_SERVER['PHP_SELF'].'?action=enable'; ?>"><?php echo img_picto($langs->trans("Disabled"), 'switch_off'); ?></a>
			<?php } ?>
		</td>
	</tr>
</table>

<br>

<center>
	<?php if ($is_enabled) { ?>
		<a href="<?php echo DOL_URL_ROOT.'/cron/card.php?id='.$qb->result()[0]->rowid; ?>" target="_blank" class="smd-button wide green"><?php echo $editicon.$langs->trans('CustomizeAutoBackups'); ?></a>
		&nbsp;
	<?php } ?>
	<a href="<?php echo DOL_URL_ROOT.'/admin/tools/dolibarr_export.php?mainmenu=home&leftmenu=admintools'; ?>" target="_blank" class="smd-button wide blue"><?php echo $databaseicon.$langs->trans('GoToBackupPage'); ?></a>
</center>
