<?php

global $langs, $conf, $dolibarr_main_db_pass, $dolibarr_main_db_encrypted_pass;

?>

<table class="noborder" width="100%">
	<tr>
		<td align="left"><?php echo $langs->trans('UseCaptchaCodeOnLoginPage'); ?></td>
		<td align="right">
			<?php if (! empty($conf->global->MAIN_SECURITY_ENABLECAPTCHA)) { ?>
				<a href="<?php echo $_SERVER['PHP_SELF'].'?action=del_MAIN_SECURITY_ENABLECAPTCHA'; ?>"><?php echo img_picto($langs->trans("Enabled"), 'switch_on'); ?></a>
			<?php } else { ?>
				<a href="<?php echo $_SERVER['PHP_SELF'].'?action=set_MAIN_SECURITY_ENABLECAPTCHA'; ?>"><?php echo img_picto($langs->trans("Disabled"), 'switch_off'); ?></a>
			<?php } ?>
		</td>
	</tr>
	<tr>
		<td align="left"><?php echo $langs->trans('HideForgetPasswordLinkOnLoginPage'); ?></td>
		<td align="right">
			<?php if (! empty($conf->global->MAIN_SECURITY_DISABLEFORGETPASSLINK)) { ?>
				<a href="<?php echo $_SERVER['PHP_SELF'].'?action=del_MAIN_SECURITY_DISABLEFORGETPASSLINK'; ?>"><?php echo img_picto($langs->trans("Enabled"), 'switch_on'); ?></a>
			<?php } else { ?>
				<a href="<?php echo $_SERVER['PHP_SELF'].'?action=set_MAIN_SECURITY_DISABLEFORGETPASSLINK'; ?>"><?php echo img_picto($langs->trans("Disabled"), 'switch_off'); ?></a>
			<?php } ?>
		</td>
	</tr>
	<?php if (! empty($dolibarr_main_db_pass)) { ?>
		<tr>
			<td align="left"><?php echo $langs->trans('EncryptDatabasePass'); ?></td>
			<td align="right">
				<?php if (! empty($dolibarr_main_db_encrypted_pass)) { ?>
					<a href="<?php echo $_SERVER['PHP_SELF'].'?action=disable_encryptdbpass'; ?>"><?php echo img_picto($langs->trans("Enabled"), 'switch_on'); ?></a>
				<?php } else { ?>
					<a href="<?php echo $_SERVER['PHP_SELF'].'?action=enable_encryptdbpass'; ?>"><?php echo img_picto($langs->trans("Disabled"), 'switch_off'); ?></a>
				<?php } ?>
			</td>
		</tr>
	<?php } ?>
	<tr>
		<td align="left"><?php echo $langs->trans('EncryptPasswordsInDatabase'); ?></td>
		<td align="right">
			<?php if (! empty($conf->global->DATABASE_PWD_ENCRYPTED)) { ?>
				<a href="<?php echo $_SERVER['PHP_SELF'].'?action=del_DATABASE_PWD_ENCRYPTED'; ?>"><?php echo img_picto($langs->trans("Enabled"), 'switch_on'); ?></a>
			<?php } else { ?>
				<a href="<?php echo $_SERVER['PHP_SELF'].'?action=encrypt_pwds'; ?>"><?php echo img_picto($langs->trans("Disabled"), 'switch_off'); ?></a>
			<?php } ?>
		</td>
	</tr>
</table>

<br>
